|  | pattern.h File Reference updated Sat Oct 7 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
pattern.h File Reference

RE/flex regular expression pattern compiler. More...

`#include <reflex/bits.h>`
`#include <reflex/debug.h>`
`#include <reflex/error.h>`
`#include <reflex/input.h>`
`#include <reflex/ranges.h>`
`#include <reflex/setop.h>`
`#include <cctype>`
`#include <cstring>`
`#include <iostream>`
`#include <string>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <array>`
`#include <bitset>`
`#include <vector>`
Include dependency graph for pattern.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | reflex::Pattern
| Pattern class holds a regex pattern and its compiled FSM opcode table or code for the reflex::Matcher engine. More...
struct | reflex::Pattern::Const
| Common constants. More...
struct | reflex::Pattern::ModConst
| Modifiers 'i', 'm', 'q', 's', 'u' (enable) 'I', 'M', 'Q', 'S', 'U' (disable) More...
struct | reflex::Pattern::Chars
| Set of chars and meta chars. More...
struct | reflex::Pattern::Position
| Finite state machine construction position information. More...
struct | reflex::Pattern::DFA
| DFA created by subset construction from regex patterns. More...
struct | reflex::Pattern::DFA::State
struct | reflex::Pattern::HFA
| Indexing hash finite state automaton for indexed file search. More...
struct | reflex::Pattern::Option
| Global modifier modes, syntax flags, and compiler options. More...

## Namespaces

| reflex

## Macros

#define | WITH_VECTOR
#define | WITH_TREE_DFA

## Detailed Description

RE/flex regular expression pattern compiler.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt

## Macro Definition Documentation

#define WITH_TREE_DFA

#define WITH_VECTOR